Remove tags from filtered reviews
curl --request POST \
--url https://api.birdeye.com/resources/v1/tag/remove/review \
--header 'Content-Type: application/json' \
--data '
{
"reviewIds": [
3901784402334,
3901744402337
],
"fromDate": "04/01/2013",
"toDate": "05/3/2015",
"updateFromDate": "04/01/2013",
"updateToDate": "05/3/2015",
"sources": [
"google",
"citysearch"
],
"ratings": [
1,
2,
3,
4,
5,
0
],
"keywords": [
"water"
],
"searchStr": "Awesome",
"subBusinessIds": [
134387654345,
134387654346,
13438765437
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/tag/remove/review"
payload = {
"reviewIds": [3901784402334, 3901744402337],
"fromDate": "04/01/2013",
"toDate": "05/3/2015",
"updateFromDate": "04/01/2013",
"updateToDate": "05/3/2015",
"sources": ["google", "citysearch"],
"ratings": [1, 2, 3, 4, 5, 0],
"keywords": ["water"],
"searchStr": "Awesome",
"subBusinessIds": [134387654345, 134387654346, 13438765437]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
reviewIds: [3901784402334, 3901744402337],
fromDate: '04/01/2013',
toDate: '05/3/2015',
updateFromDate: '04/01/2013',
updateToDate: '05/3/2015',
sources: ['google', 'citysearch'],
ratings: [1, 2, 3, 4, 5, 0],
keywords: ['water'],
searchStr: 'Awesome',
subBusinessIds: [134387654345, 134387654346, 13438765437]
})
};
fetch('https://api.birdeye.com/resources/v1/tag/remove/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.birdeye.com/resources/v1/tag/remove/review",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reviewIds' => [
3901784402334,
3901744402337
],
'fromDate' => '04/01/2013',
'toDate' => '05/3/2015',
'updateFromDate' => '04/01/2013',
'updateToDate' => '05/3/2015',
'sources' => [
'google',
'citysearch'
],
'ratings' => [
1,
2,
3,
4,
5,
0
],
'keywords' => [
'water'
],
'searchStr' => 'Awesome',
'subBusinessIds' => [
134387654345,
134387654346,
13438765437
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.birdeye.com/resources/v1/tag/remove/review"
payload := strings.NewReader("{\n \"reviewIds\": [\n 3901784402334,\n 3901744402337\n ],\n \"fromDate\": \"04/01/2013\",\n \"toDate\": \"05/3/2015\",\n \"updateFromDate\": \"04/01/2013\",\n \"updateToDate\": \"05/3/2015\",\n \"sources\": [\n \"google\",\n \"citysearch\"\n ],\n \"ratings\": [\n 1,\n 2,\n 3,\n 4,\n 5,\n 0\n ],\n \"keywords\": [\n \"water\"\n ],\n \"searchStr\": \"Awesome\",\n \"subBusinessIds\": [\n 134387654345,\n 134387654346,\n 13438765437\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.birdeye.com/resources/v1/tag/remove/review")
.header("Content-Type", "application/json")
.body("{\n \"reviewIds\": [\n 3901784402334,\n 3901744402337\n ],\n \"fromDate\": \"04/01/2013\",\n \"toDate\": \"05/3/2015\",\n \"updateFromDate\": \"04/01/2013\",\n \"updateToDate\": \"05/3/2015\",\n \"sources\": [\n \"google\",\n \"citysearch\"\n ],\n \"ratings\": [\n 1,\n 2,\n 3,\n 4,\n 5,\n 0\n ],\n \"keywords\": [\n \"water\"\n ],\n \"searchStr\": \"Awesome\",\n \"subBusinessIds\": [\n 134387654345,\n 134387654346,\n 13438765437\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.birdeye.com/resources/v1/tag/remove/review")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"reviewIds\": [\n 3901784402334,\n 3901744402337\n ],\n \"fromDate\": \"04/01/2013\",\n \"toDate\": \"05/3/2015\",\n \"updateFromDate\": \"04/01/2013\",\n \"updateToDate\": \"05/3/2015\",\n \"sources\": [\n \"google\",\n \"citysearch\"\n ],\n \"ratings\": [\n 1,\n 2,\n 3,\n 4,\n 5,\n 0\n ],\n \"keywords\": [\n \"water\"\n ],\n \"searchStr\": \"Awesome\",\n \"subBusinessIds\": [\n 134387654345,\n 134387654346,\n 13438765437\n ]\n}"
response = http.request(request)
puts response.read_body{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Reviews
Search reviews and remove tags
Search reviews and remove tags removes the list of tags from reviews on the basis of review filter.
POST
/
v1
/
tag
/
remove
/
review
Remove tags from filtered reviews
curl --request POST \
--url https://api.birdeye.com/resources/v1/tag/remove/review \
--header 'Content-Type: application/json' \
--data '
{
"reviewIds": [
3901784402334,
3901744402337
],
"fromDate": "04/01/2013",
"toDate": "05/3/2015",
"updateFromDate": "04/01/2013",
"updateToDate": "05/3/2015",
"sources": [
"google",
"citysearch"
],
"ratings": [
1,
2,
3,
4,
5,
0
],
"keywords": [
"water"
],
"searchStr": "Awesome",
"subBusinessIds": [
134387654345,
134387654346,
13438765437
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/tag/remove/review"
payload = {
"reviewIds": [3901784402334, 3901744402337],
"fromDate": "04/01/2013",
"toDate": "05/3/2015",
"updateFromDate": "04/01/2013",
"updateToDate": "05/3/2015",
"sources": ["google", "citysearch"],
"ratings": [1, 2, 3, 4, 5, 0],
"keywords": ["water"],
"searchStr": "Awesome",
"subBusinessIds": [134387654345, 134387654346, 13438765437]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
reviewIds: [3901784402334, 3901744402337],
fromDate: '04/01/2013',
toDate: '05/3/2015',
updateFromDate: '04/01/2013',
updateToDate: '05/3/2015',
sources: ['google', 'citysearch'],
ratings: [1, 2, 3, 4, 5, 0],
keywords: ['water'],
searchStr: 'Awesome',
subBusinessIds: [134387654345, 134387654346, 13438765437]
})
};
fetch('https://api.birdeye.com/resources/v1/tag/remove/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.birdeye.com/resources/v1/tag/remove/review",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reviewIds' => [
3901784402334,
3901744402337
],
'fromDate' => '04/01/2013',
'toDate' => '05/3/2015',
'updateFromDate' => '04/01/2013',
'updateToDate' => '05/3/2015',
'sources' => [
'google',
'citysearch'
],
'ratings' => [
1,
2,
3,
4,
5,
0
],
'keywords' => [
'water'
],
'searchStr' => 'Awesome',
'subBusinessIds' => [
134387654345,
134387654346,
13438765437
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.birdeye.com/resources/v1/tag/remove/review"
payload := strings.NewReader("{\n \"reviewIds\": [\n 3901784402334,\n 3901744402337\n ],\n \"fromDate\": \"04/01/2013\",\n \"toDate\": \"05/3/2015\",\n \"updateFromDate\": \"04/01/2013\",\n \"updateToDate\": \"05/3/2015\",\n \"sources\": [\n \"google\",\n \"citysearch\"\n ],\n \"ratings\": [\n 1,\n 2,\n 3,\n 4,\n 5,\n 0\n ],\n \"keywords\": [\n \"water\"\n ],\n \"searchStr\": \"Awesome\",\n \"subBusinessIds\": [\n 134387654345,\n 134387654346,\n 13438765437\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.birdeye.com/resources/v1/tag/remove/review")
.header("Content-Type", "application/json")
.body("{\n \"reviewIds\": [\n 3901784402334,\n 3901744402337\n ],\n \"fromDate\": \"04/01/2013\",\n \"toDate\": \"05/3/2015\",\n \"updateFromDate\": \"04/01/2013\",\n \"updateToDate\": \"05/3/2015\",\n \"sources\": [\n \"google\",\n \"citysearch\"\n ],\n \"ratings\": [\n 1,\n 2,\n 3,\n 4,\n 5,\n 0\n ],\n \"keywords\": [\n \"water\"\n ],\n \"searchStr\": \"Awesome\",\n \"subBusinessIds\": [\n 134387654345,\n 134387654346,\n 13438765437\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.birdeye.com/resources/v1/tag/remove/review")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"reviewIds\": [\n 3901784402334,\n 3901744402337\n ],\n \"fromDate\": \"04/01/2013\",\n \"toDate\": \"05/3/2015\",\n \"updateFromDate\": \"04/01/2013\",\n \"updateToDate\": \"05/3/2015\",\n \"sources\": [\n \"google\",\n \"citysearch\"\n ],\n \"ratings\": [\n 1,\n 2,\n 3,\n 4,\n 5,\n 0\n ],\n \"keywords\": [\n \"water\"\n ],\n \"searchStr\": \"Awesome\",\n \"subBusinessIds\": [\n 134387654345,\n 134387654346,\n 13438765437\n ]\n}"
response = http.request(request)
puts response.read_body{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the Business.
List of tags to be removed from reviews.
Body
application/json
List of reviewIds.
Review Start date format MM/dd/YYYY.
Review End date format MM/dd/YYYY.
Review update from date format MM/dd/YYYY.
Review update end date format MM/dd/YYYY.
List of sources.
List of Review Ratings.
List Review keywords.
Search string.
List of location numbers.
Response
OK